import type { BuilderContent } from '../../types/builder-content.js';
import type { GetContentOptions } from './types.js';
/**
 * Returns a the first entry that matches the given options.
 */
export declare function fetchOneEntry(options: GetContentOptions): Promise<BuilderContent | null>;
/**
 * @deprecated
 * Consider using `fetchBuilderProps` instead for easier setup.
 *
 * NOTE: `getContent` was renamed to `fetchOneEntry` and will be removed in a future release.
 */
export declare const getContent: typeof fetchOneEntry;
type ContentResults = {
    results: BuilderContent[];
};
/**
 * Exported only for testing purposes. Should not be used directly.
 */
export declare const _processContentResult: (options: GetContentOptions, content: ContentResults, url?: URL) => Promise<ContentResults>;
/**
 * Returns a paginated array of entries that match the given options.
 */
export declare function fetchEntries(options: GetContentOptions): Promise<ContentResults | null>;
/**
 * @deprecated Use `fetchEntries` instead.
 */
export declare const getAllContent: typeof fetchEntries;
export {};
